Subject: Textfield view helper can not handle zero (not empty) values
Description

When using the form.textfield view helper strings or integers that are 0 (zero) are treated as empty values. So if a user now enters 0 in
the form field and then edits the object the form field will not show the "0" he entered but an empty field.

This is because in TextfieldViewHelper the empty() function of PHP is used:

87 if (!empty($value)) {
88   $this->tag->addAttribute('value', $value);
89 }

Since AbstractFormFieldViewHelper::getValue() will return NULL if no value was set, it would be better to use isset() in my opinion.

Associated revisions
Revision 05be2228 - 2011-08-16 15:28 - Stefan Neufeind

[BUGFIX] Make textfield view helper handle zero (not empty) values

Values which are 0 (zero) are treated like but are not an empty string.
They need to be handled as normal values (output to be shown in field).

Thanks to Alexander Stehlik.

Change-Id: I9eabc845fe44e019e0c61e241cc9ebede152ba50
Resolves: #27938

History
#1 - 2011-07-07 13:07 - Alexander Stehlik
- File sysext-fluid-27938-empty_textfield.diff added

#2 - 2011-07-20 00:46 - Mr. Hudson

Patch set 1 of change I9eabc845fe44e019e0c61e241cc9ebede152ba50 has been pushed to the review server.
It is available at http://review.typo3.org/3424

#3 - 2011-08-16 15:29 - Mr. Hudson

Patch set 2 of change I9eabc845fe44e019e0c61e241cc9ebede152ba50 has been pushed to the review server.
It is available at http://review.typo3.org/3424
#4 - 2011-08-18 10:07 - Stefan Neufeind
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:05be2228ccf837a08b569289f9221f671d33414a.
